/*********************************************************************/
/* atm.c        v 2.3      by J.Sobczyk            2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* ATM                                                               */
/*********************************************************************/
/* POLCNV -  a program for converting text documents between         */
/* different character encoding methods and stadards.                */
/* Supports almost all codes historically used in Poland             */
/* but is not limited to them.                                       */
/*                                                                   */
/* Copyright (C) 1994-2003  Jerzy Sobczyk                            */
/*                                                                   */
/* This program is free software; you can redistribute it and/or     */
/* modify it under the terms of the GNU General Public License       */
/* as published by the Free Software Foundation; either version 2    */
/* of the License, or (at your option) any later version.            */
/*                                                                   */
/* This program is distributed in the hope that it will be useful,   */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of    */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
/* GNU General Public License for more details.                      */
/*                                                                   */
/* You should have received a copy of the GNU General Public License */
/* along with this program; if not, write to the Free Software       */
/* Foundation, Inc., 59 Temple Place - Suite 330,                    */
/* Boston, MA  02111-1307, USA.                                      */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl atm_tbl =
  {
    { 0x0e4,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x0e7,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x0eb,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x0f0,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x0f1,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x0f3,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x0f6,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x0fa,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x0fc,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x0c4,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x0c7,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x0cb,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x0d0,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x0d1,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x0d3,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x0d6,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x0da,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x0dc,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_atm( void )
  {
  return table_test( atm_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_atm( void )
  {
  trans[ TYPE_ATM ].key			= (char*)"";
  trans[ TYPE_ATM ].long_key		= (char*)"-atm";
  trans[ TYPE_ATM ].name		= (char*)"ATM";
  trans[ TYPE_ATM ].reset_inp       	= NULL;
  trans[ TYPE_ATM ].reset_out       	= NULL;
  trans[ TYPE_ATM ].decode          	= table_decode;
  trans[ TYPE_ATM ].encode          	= table_encode;
  trans[ TYPE_ATM ].inp_tbl         	= atm_tbl;
  trans[ TYPE_ATM ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_ATM ].out_tbl         	= atm_tbl;
  trans[ TYPE_ATM ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_ATM ].buf_tst         	= NULL;
  trans[ TYPE_ATM ].freq_tst        	= test_atm;
  }

/*********************************************************************/
