/*********************************************************************/
/* bez.c        v 2.3      by J.Sobczyk            2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* Bez polskich liter                                                */
/*********************************************************************/
/* POLCNV -  a program for converting text documents between         */
/* different character encoding methods and stadards.                */
/* Supports almost all codes historically used in Poland             */
/* but is not limited to them.                                       */
/*                                                                   */
/* Copyright (C) 1994-2003  Jerzy Sobczyk                            */
/*                                                                   */
/* This program is free software; you can redistribute it and/or     */
/* modify it under the terms of the GNU General Public License       */
/* as published by the Free Software Foundation; either version 2    */
/* of the License, or (at your option) any later version.            */
/*                                                                   */
/* This program is distributed in the hope that it will be useful,   */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of    */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
/* GNU General Public License for more details.                      */
/*                                                                   */
/* You should have received a copy of the GNU General Public License */
/* along with this program; if not, write to the Free Software       */
/* Foundation, Inc., 59 Temple Place - Suite 330,                    */
/* Boston, MA  02111-1307, USA.                                      */
/*********************************************************************/
#include <stdio.h>
#include <limits.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl bez_tbl =
  {
    { 0x061,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x063,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x065,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x06c,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x06e,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x06f,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x073,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x07a,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x07a,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x041,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x043,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x045,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x04c,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x04e,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x04f,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x053,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x05a,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x05a,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_bez( void )
  {
  return INT_MIN;
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void bez_decode( void )
  {
  while ((inp_fused < inp_ffree) &&
         (uni_ffree < uni_size ))
    uni_buf[ uni_ffree++ ] = (unicode) inp_buf[ inp_fused++ ];

  if ((inp_ffree == inp_fused) && inp_eof)
    uni_eof = TRUE;
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_bez( void )
  {
  trans[ TYPE_BEZ ].key			= (char*)"-0";
  trans[ TYPE_BEZ ].long_key		= (char*)"-bez";
  trans[ TYPE_BEZ ].name		= (char*)"Bez polskich liter";
  trans[ TYPE_BEZ ].reset_inp       	= NULL;
  trans[ TYPE_BEZ ].reset_out       	= NULL;
  trans[ TYPE_BEZ ].decode          	= table_decode;
  trans[ TYPE_BEZ ].encode          	= table_encode;
  trans[ TYPE_BEZ ].inp_tbl         	= bez_tbl;
  trans[ TYPE_BEZ ].inp_tbl_size    	= 0;
  trans[ TYPE_BEZ ].out_tbl         	= bez_tbl;
  trans[ TYPE_BEZ ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_BEZ ].buf_tst         	= NULL;
  trans[ TYPE_BEZ ].freq_tst        	= test_bez;
  }

/*********************************************************************/
