/*********************************************************************/
/* iso.c        v 2.3      by J.Sobczyk            2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* ISO 8859-1                                                        */
/*********************************************************************/
/* POLCNV -  a program for converting text documents between         */
/* different character encoding methods and stadards.                */
/* Supports almost all codes historically used in Poland             */
/* but is not limited to them.                                       */
/*                                                                   */
/* Copyright (C) 1994-2003  Jerzy Sobczyk                            */
/*                                                                   */
/* This program is free software; you can redistribute it and/or     */
/* modify it under the terms of the GNU General Public License       */
/* as published by the Free Software Foundation; either version 2    */
/* of the License, or (at your option) any later version.            */
/*                                                                   */
/* This program is distributed in the hope that it will be useful,   */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of    */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
/* GNU General Public License for more details.                      */
/*                                                                   */
/* You should have received a copy of the GNU General Public License */
/* along with this program; if not, write to the Free Software       */
/* Foundation, Inc., 59 Temple Place - Suite 330,                    */
/* Boston, MA  02111-1307, USA.                                      */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
#define SIZE_ISO_8859_1 1
unicode iso_8859_1_tbl[SIZE_ISO_8859_1][2] = /* Latin 1 ISO 8859-1 */
  {
    { 0x000,  0x0000 } 	
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_iso_8859_1( void )
  {
  return table_test( iso_8859_1_tbl, SIZE_ISO_8859_1 );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_iso_8859_1( void )
  {
  trans[ TYPE_ISO_8859_1 ].key                = (char*)"-i1";
  trans[ TYPE_ISO_8859_1 ].long_key           = (char*)"-iso-8859-1";
  trans[ TYPE_ISO_8859_1 ].name               = (char*)"ISO 8859-1 Latin 1";
  trans[ TYPE_ISO_8859_1 ].reset_inp          = NULL;
  trans[ TYPE_ISO_8859_1 ].reset_out          = NULL;
  trans[ TYPE_ISO_8859_1 ].decode             = table_decode;
  trans[ TYPE_ISO_8859_1 ].encode             = table_encode;
  trans[ TYPE_ISO_8859_1 ].inp_tbl            = iso_8859_1_tbl;
  trans[ TYPE_ISO_8859_1 ].inp_tbl_size       = SIZE_ISO_8859_1;
  trans[ TYPE_ISO_8859_1 ].out_tbl            = iso_8859_1_tbl;
  trans[ TYPE_ISO_8859_1 ].out_tbl_size       = SIZE_ISO_8859_1;
  trans[ TYPE_ISO_8859_1 ].buf_tst            = NULL;
  trans[ TYPE_ISO_8859_1 ].freq_tst           = test_iso_8859_1;
  }

/*********************************************************************/
