/*********************************************************************/
/* logic.c      v 2.3      by J.Sobczyk            2001.08.02  17:01 */
/*                                                                   */
/* Polish document converter.                                        */
/* Logic                                                             */
/*********************************************************************/
/* POLCNV -  a program for converting text documents between         */
/* different character encoding methods and stadards.                */
/* Supports almost all codes historically used in Poland             */
/* but is not limited to them.                                       */
/*                                                                   */
/* Copyright (C) 1994-2003  Jerzy Sobczyk                            */
/*                                                                   */
/* This program is free software; you can redistribute it and/or     */
/* modify it under the terms of the GNU General Public License       */
/* as published by the Free Software Foundation; either version 2    */
/* of the License, or (at your option) any later version.            */
/*                                                                   */
/* This program is distributed in the hope that it will be useful,   */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of    */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     */
/* GNU General Public License for more details.                      */
/*                                                                   */
/* You should have received a copy of the GNU General Public License */
/* along with this program; if not, write to the Free Software       */
/* Foundation, Inc., 59 Temple Place - Suite 330,                    */
/* Boston, MA  02111-1307, USA.                                      */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl logic_tbl =
  {
    { 0x089,   0x0105 },   /* LATIN SMALL LETTER A WITH OGONEK */
    { 0x08a,   0x0107 },   /* LATIN SMALL LETTER C WITH ACUTE */
    { 0x08b,   0x0119 },   /* LATIN SMALL LETTER E WITH OGONEK */
    { 0x08c,   0x0142 },   /* LATIN SMALL LETTER L WITH STROKE */
    { 0x08d,   0x0144 },   /* LATIN SMALL LETTER N WITH ACUTE */
    { 0x08e,   0x00F3 },   /* LATIN SMALL LETTER O WITH ACUTE */
    { 0x08f,   0x015B },   /* LATIN SMALL LETTER S WITH ACUTE */
    { 0x090,   0x017A },   /* LATIN SMALL LETTER Z WITH ACUTE */
    { 0x091,   0x017C },   /* LATIN SMALL LETTER Z WITH DOT ABOVE */
    { 0x080,   0x0104 },   /* LATIN CAPITAL LETTER A WITH OGONEK */
    { 0x081,   0x0106 },   /* LATIN CAPITAL LETTER C WITH ACUTE */
    { 0x082,   0x0118 },   /* LATIN CAPITAL LETTER E WITH OGONEK */
    { 0x083,   0x0141 },   /* LATIN CAPITAL LETTER L WITH STROKE */
    { 0x084,   0x0143 },   /* LATIN CAPITAL LETTER N WITH ACUTE */
    { 0x085,   0x00D3 },   /* LATIN CAPITAL LETTER O WITH ACUTE */
    { 0x086,   0x015A },   /* LATIN CAPITAL LETTER S WITH ACUTE */
    { 0x087,   0x0179 },   /* LATIN CAPITAL LETTER Z WITH ACUTE */
    { 0x088,   0x017B }    /* LATIN CAPITAL LETTER Z WITH DOT ABOVE */
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_logic( void )
  {
  return table_test( logic_tbl, 2*POL_NR );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_logic( void )
  {
  trans[ TYPE_LOGIC ].key		= (char*)"";
  trans[ TYPE_LOGIC ].long_key		= (char*)"-logic";
  trans[ TYPE_LOGIC ].name		= (char*)"Logic";
  trans[ TYPE_LOGIC ].reset_inp       	= NULL;
  trans[ TYPE_LOGIC ].reset_out       	= NULL;
  trans[ TYPE_LOGIC ].decode          	= table_decode;
  trans[ TYPE_LOGIC ].encode          	= table_encode;
  trans[ TYPE_LOGIC ].inp_tbl         	= logic_tbl;
  trans[ TYPE_LOGIC ].inp_tbl_size    	= 2*POL_NR;
  trans[ TYPE_LOGIC ].out_tbl         	= logic_tbl;
  trans[ TYPE_LOGIC ].out_tbl_size    	= 2*POL_NR;
  trans[ TYPE_LOGIC ].buf_tst         	= NULL;
  trans[ TYPE_LOGIC ].freq_tst        	= test_logic;
  }

/*********************************************************************/
